	<html>
	<head>
		<title>Transept de la cathédrale d'Amiens</title>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0">
		<style>
			html, body {
				width: 100%;
				height: 100%;
			}
			html{
				background-color: black;
			}
		</style>
	</head>

	<body>
		<div id="Stats-output"></div>
	</body>
	<!--
		<script src="../Libs/three.min.js"></script>
		<script src="../Libs/OBJLoader.js"></script>-->
		<script src="https://threejs.org/build/three.min.js"></script>
		<script src="https://threejs.org/examples/js/loaders/MTLLoader.js"></script>
		<script src="https://threejs.org/examples/js/loaders/OBJLoader.js"></script>
		<script src="https://threejs.org/examples/js/controls/PointerLockControls.js"></script>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.2/jquery.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/stats.js/r16/Stats.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/dat-gui/0.5.1/dat.gui.min.js"></script>

		<script src="https://code.weebo.fr/projgl/Programmes/move.js"></script>
		<script src="https://code.weebo.fr/projgl/Programmes/stat.js"></script>
		<script src="https://code.weebo.fr/projgl/Programmes/mousehandler.js"></script>
		<script src="https://code.weebo.fr/projgl/Programmes/light.js"></script>


		<script>
			$("body").css("overflow", "hidden");
			$("body").css("overflow", "hidden");
			//variable
			var serveur = "https://code.weebo.fr/projgl";
			var container; 
            
			var camera, scene, renderer;
			var dax=0.002;
			var moveparam = 0.02;
			var move = {up:false,down:false,right:false,left:false,jump:false,shift:false,ctrl:false};
			var torche;
			var batiment;
			var stats = initStats();

			var manager = new THREE.LoadingManager();
				manager.onProgress = function ( item, loaded, total ) {
					console.log( item, loaded, total );
				};
			

	
			function onWindowResize() {
              camera.aspect = window.innerWidth / window.innerHeight;
				camera.updateProjectionMatrix();
				renderer.setSize( window.innerWidth-30, window.innerHeight-30 );
			}
			function Frontiere()
			{
				if(camera.position.x>=4)
				{
					camera.position.x=4;
				}
				if(camera.position.x<=-4)
				{
					camera.position.x=-4;
				}
				if(camera.position.z>=10)
				{
					camera.position.z=10;
				}
				if(camera.position.z<=-10)
				{
					camera.position.z=-10;
				}
			}

			function Init() {
				
				container = document.createElement( 'div' );
				document.body.appendChild( container );

				//setup caméra
				camera = new THREE.PerspectiveCamera( 80, window.innerWidth / window.innerHeight, 1, 2000 );
                //camera.rotation.z=0;
				//camera.rotation.x=1.5;
				camera.rotateY(3);

				
				camera.position.z=0; //11.5
				camera.position.x=0; //6
				camera.position.y=-20;//22

				// scene
				scene = new THREE.Scene();

				scene.add(camera);

				generateStructure();
				
				InitLight();
				
				
				//chargement de la lampe torche
				
				var mtlLoader = new THREE.MTLLoader();
				mtlLoader.setPath( serveur+"/TranseptSud/" );
				mtlLoader.load( 'Flashlight.mtl', function( materials ) {

					materials.preload();

					var objLoader = new THREE.OBJLoader();
					//objLoader.material =new  THREE.MeshBasicMaterial({color:000000});
					objLoader.setMaterials( materials);
					objLoader.setPath( serveur+"/TranseptSud/" );
					objLoader.load( 'Flashlight.obj', function ( object ) {

						object.scale.set(0.1,0.1,0.1);
						object.position.z=1; //11.5
						object.position.x=-0; //6
						object.position.y=-20.8;//22
						torche = object.getObjectByName("Lanterna_Cylinder");
						/*
						camera.position.z=0; //11.5
						camera.position.x=0; //6
						camera.position.y=-20;//22
*/
						//torche.scale.set(0.1,0.1,0.1);
						torche.position.z=2; //11.5
						torche.position.x=2; //6
						torche.position.y=2;//22
						object.name ="Torchwood";
						//scene.add(object);
						//scene.add(object);
						camera.add(object.getObjectByName("Lanterna_Cylinder"))
						camera.children[1].position.set(0,-1,-1.5)
						camera.children[1].rotation.y =Math.PI
						camera.children[1].scale.set(0.1,0.1,0.1);
					} );
					
				});

				controls = new THREE.PointerLockControls(camera);
				controls.enabled = false;
				scene.add(controls.getObject());
			 
              renderer = new THREE.WebGLRenderer();
			  renderer.setSize( window.innerWidth-30, window.innerHeight-30);
			  renderer.physicallyCorrectLights = true;
			  renderer.gammaInput = true;
			  renderer.gammaOutput = true;
			  renderer.shadowMap.enabled = true;
			  renderer.toneMapping = THREE.ReinhardToneMapping;
			  renderer.setPixelRatio(window.devicePixelRatio);
              container.appendChild( renderer.domElement );
			  window.addEventListener( 'resize', onWindowResize, false );
			  window.requestAnimationFrame(Animer, renderer.domElement);
			  scene.fog = new THREE.Fog(0x000000, 0, 100);

			  
			}			
			
			function generateStructure()
			{
				var texture = new THREE.Texture();

				var loader = new THREE.ImageLoader( manager );
				loader.load( serveur+'/TranseptSud/TranseptTexture4096.jpg', function ( image ) {
					texture.image = image;
					texture.needsUpdate = true;
					
				} );

				// Chargement du modèle
				var loader = new THREE.OBJLoader( manager ); 	
				loader.load( serveur+'/TranseptSud/transeptSudBox.obj', function ( object ) {
					object.traverse( function ( child ) {
						if ( child instanceof THREE.Mesh ) {
							child.material = new THREE.MeshPhongMaterial({map:texture});
							//child.material.map = texture;
						}
					} );
					object.name = "cathédrale";
					object.rotation.x=11;
					batiment = object;
					scene.add( object );
				} );
			}
			

			function Animer(t) {
				stats.update();
				camera.position.y=-19.5;
				renderer.toneMappingExposure = Math.pow(0.68, 5.0);
				renderer.shadowMap.enabled = true;
				renderer.render(scene,camera);	
				
				
				window.requestAnimationFrame(Animer, renderer.domElement); 
				Frontiere();
				movement();
				
			}
			
			function setSpeed(speed)
			{
				moveparam =speed;
			}
		
			document.onkeydown = checkkeyUP;
			document.onkeyup = checkkeyDOWN;
			
		   Init();
		  
			
		</script>
</html>
